Ubuntu 6289 Published by

A Indent security update has been released for Ubuntu Linux 20.04 LTS, 22.04 LTS, and 23.04.



[USN-6389-1] Indent vulnerability


==========================================================================
Ubuntu Security Notice USN-6389-1
September 20, 2023

indent vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 23.04
- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS

Summary:

Indent could be made to crash or run programs if it opened a specially
crafted file.

Software Description:
- indent: C language source code formatting program

Details:

It was discovered that Indent incorrectly handled parsing certain source
files. If a user or automated system were tricked into processing a
specially crafted source file, a remote attacker could use this issue to
cause Indent to crash, resulting in a denial of service, or possibly
execute arbitrary code.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 23.04:
indent 2.2.12-4ubuntu0.1

Ubuntu 22.04 LTS:
indent 2.2.12-1ubuntu0.22.04.1

Ubuntu 20.04 LTS:
indent 2.2.12-1ubuntu0.20.04.1

In general, a standard system update will make all the necessary changes.

References:
https://ubuntu.com/security/notices/USN-6389-1
CVE-2023-40305

Package Information:
https://launchpad.net/ubuntu/+source/indent/2.2.12-4ubuntu0.1
https://launchpad.net/ubuntu/+source/indent/2.2.12-1ubuntu0.22.04.1
https://launchpad.net/ubuntu/+source/indent/2.2.12-1ubuntu0.20.04.1